Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryParser.standard.config
Interface DefaultOperatorAttribute

All Superinterfaces:
  org.apache.lucene.util.Attribute

All Known Implementing Classes:
  DefaultOperatorAttributeImpl

Deprecated.

    @Deprecated
    public interface DefaultOperatorAttribute

extends org.apache.lucene.util.Attribute

This attribute is used by `GroupQueryNodeProcessor` processor and must be defined in the `QueryConfigHandler`. This attribute tells the processor which is the default boolean operator when no operator is defined between terms.

Nested Class Summary
`static class` | `DefaultOperatorAttribute.Operator` Deprecated.

Method Summary
`DefaultOperatorAttribute.Operator` | `getOperator()` Deprecated.
`void` | `setOperator(DefaultOperatorAttribute.Operator operator)` Deprecated.

Method Detail

### setOperator

    void setOperator(DefaultOperatorAttribute.Operator operator)

  Deprecated.

### getOperator

    DefaultOperatorAttribute.Operator getOperator()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD